﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.VisaStudentBean>
@{
    ViewBag.Title = "Visa Students";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
    <script type="text/javascript">

        $(function () {

            $(".table").tablesorter({ widthFixed: true })
                 .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });


    </script>
    <script type="text/javascript">
        $(document).ready(function () {


            $("#pagng").css('width', '80px');

            $("#txtpageno").css('width', '100px');

            $(':text').css('width', '200px');

            $(":text").keypress(function (event) {

                //filter enter key only
                if (event.keyCode == 13) {
                    Search();
                }
                return true;
            });

            $("#btnSearch").click(function () {

                Search();
            });

        });


        function Search() {
            var roll = $("#txtRoll").val();
            var sname = $("#txtName").val();
            var mob = $("#txtMobile").val();
            var eno = $("#txtEnquiry").val();
            window.location.href = "/Tb_VisaPayment/VisaStudents?roll=" + roll + "&sname=" + sname + "&mob=" + mob;
        }

    </script>

}
@{
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
}
@using (Html.BeginForm("TransferVisaStudent", "Tb_VisaPayment", FormMethod.Post, new { @id = "enqform", onload = "noBack();", onpageshow = "if (event.persisted) noBack();" }))
{
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Visa Students List
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <div class="btn-group">
                    <input type="submit" id="btnSearch" value="Submit" class="btn btn-primary" />
                </div>
            </div>
            <p class="datail_style">
                <table width="100%" align="center">
                    <tr>
                        <td align="left" width="50%"></td>
                        <td align="right" width="50%">
                            Total: @ViewBag.TotalCount
                        </td>
                    </tr>
                </table>
            </p>
            <div class="well">
                <table class="table">
                    <thead>
                        <tr>
                            <th>
                                REFERENCE NO
                            </th>
                            <th>
                                Entry Type
                            </th>
                            <th>
                                Name
                            </th>
                            <th>
                                Followup Date
                            </th>
                            <th>
                                Remarks
                            </th>
                            <th>
                                Mobile No
                            </th>
                            <th>
                                Over All Bands
                            </th>
                            <th>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @{int i = 0;
                        string bgcolor = "oddrow";
                        }
                        @foreach (var item in Model)
                        {

                            if (item != null)
                            {
                                if (item.TestType == "MockTest")
                                {
                                    MaAdmission objAdm = db.MaAdmissions.Where(z => z.RollNo == item.StudentId).First();

                                    if (i % 2 == 0)
                                    {
                                        bgcolor = "evenrow";
                                    }
                                    else
                                    {
                                        bgcolor = "oddrow";
                                    }
                                    i++;
                                    <tr class="@bgcolor">
                                        <td>
                                            @objAdm.RollNo
                                        </td>
                                        <td>
                                            @item.EntryType
                                            <br />
                                            @{
                                    string testpe = "";
                                    if (item.TestType == "Any")
                                    {
                                        testpe = "-";
                                    }
                                    else
                                    {
                                        testpe = item.TestType;

                                    }
                                            }
                                            @testpe
                                        </td>
                                        <td>
                                            @item.SName
                                        </td>
                                        <td>
                                            @{
                                    string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);
                                            }
                                            @follwupdate
                                        </td>
                                        <td>
                                            @item.remarks
                                        </td>
                                        <td>
                                            @item.Mobile
                                        </td>
                                        <td>
                                            @{
                                    double? overall = db.Tb_MockTest.Where(z => z.Id == item.MockIELTSid).Select(z => z.Overall).First();
                                            }
                                            @overall
                                        </td>

                                        <td>
                                            @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, reftype = "VisaMockTest", name = item.SName, rollno = objAdm.RollNo }, new { @class = "editAcBtn" }, null)
                                            @Html.ActionLink("AddVisaFeeDetail", "Create", new { id = objAdm.Id, enqtype = item.EntryType, stype = item.TestType, Mid = item.MockIELTSid, reftype = "VisaMockTest", name = item.SName, testtype = item.TestType })

                                        </td>
                                    </tr>
                                }
                                if (item.TestType == "IELTS")
                                {
                                    if (item.EntryType == "Enquiry")
                                    {
                                        MaEnquiry objAdm = db.MaEnquiries.Where(z => z.Id == item.StudentId).First();
                                        if (i % 2 == 0)
                                        {
                                            bgcolor = "evenrow";
                                        }
                                        else
                                        {
                                            bgcolor = "oddrow";
                                        }
                                        i++;
                                        <tr class="@bgcolor">
                                            <td>
                                                @objAdm.Id
                                            </td>
                                            <td>
                                                @item.EntryType
                                                <br />
                                                @{
                                        string testpe = "";
                                        if (item.TestType == "Any")
                                        {
                                            testpe = "-";
                                        }
                                        else
                                        {
                                            testpe = item.TestType;

                                        }
                                                }
                                                @testpe
                                            </td>
                                            <td>
                                                @objAdm.FirstName @objAdm.LastName
                                            </td>
                                            <td>
                                                @{string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);}
                                                @follwupdate
                                            </td>
                                            <td>
                                                @item.remarks
                                            </td>
                                            <td>
                                                @objAdm.Mobile
                                            </td>
                                            <td>
                                                @{
                                        double? overall = db.Tb_IELTSResult.Where(z => z.Id == item.MockIELTSid).Select(z => z.Overall).First();
                                                }
                                                @overall
                                            </td>
                                            <td>
                                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, reftype = "VisaIELTS", name = item.SName, rollno = objAdm.Id }, new { @class = "editAcBtn" }, null)
                                                @Html.ActionLink("AddVisaFeeDetail", "Create", new { id = objAdm.Id, enqtype = item.EntryType, stype = item.TestType, Mid = item.MockIELTSid, reftype = "VisaIELTS", name = item.SName, testtype = item.TestType })
                                            </td>
                                        </tr>
                                    }
                                    if (item.EntryType == "Admission")
                                    {
                                        MaAdmission objAdm = db.MaAdmissions.Where(z => z.RollNo == item.StudentId).First();
                                        if (i % 2 == 0)
                                        {
                                            bgcolor = "evenrow";
                                        }
                                        else
                                        {
                                            bgcolor = "oddrow";
                                        }
                                        i++;
                                        <tr class="@bgcolor">
                                            <td>
                                                @objAdm.RollNo
                                            </td>
                                            <td>
                                                @item.EntryType
                                                <br />
                                                @{
                                        string testpe = "";
                                        if (item.TestType == "Any")
                                        {
                                            testpe = "-";
                                        }
                                        else
                                        {
                                            testpe = item.TestType;

                                        }
                                                }
                                                @testpe
                                            </td>
                                            <td>
                                                @objAdm.FirstName @objAdm.LastName
                                            </td>
                                            <td>
                                                @{string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);}
                                                @follwupdate
                                            </td>
                                            <td>
                                                @item.remarks
                                            </td>
                                            <td>
                                                @objAdm.Mobile
                                            </td>
                                            <td>
                                                @{
                                                double? overall = 0;
                                                if (db.Tb_IELTSResult.Where(z => z.Id == item.MockIELTSid).Select(z => z.Overall).Count() > 0)
                                                {

                                                    overall = db.Tb_IELTSResult.Where(z => z.Id == item.MockIELTSid).Select(z => z.Overall).First();
                                                }
                                                }
                                                @overall
                                            </td>
                                            <td>
                                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, reftype = "VisaIELTS", name = item.SName, rollno = objAdm.RollNo }, new { @class = "editAcBtn" }, null)
                                                @Html.ActionLink("AddVisaFeeDetail", "Create", new { id = objAdm.Id, enqtype = item.EntryType, stype = item.TestType, reftype = "VisaIELTS", name = item.SName, testtype = item.TestType, Mid = item.MockIELTSid })
                                            </td>
                                        </tr>
                                    }
                                }

                                if (item.TestType == "Admission")
                                {
                                    MaAdmission objAdm = db.MaAdmissions.Where(z => z.RollNo == item.StudentId).First();
                                    if (i % 2 == 0)
                                    {
                                        bgcolor = "evenrow";
                                    }
                                    else
                                    {
                                        bgcolor = "oddrow";
                                    }
                                    i++;
                                    <tr class="@bgcolor">
                                        <td>
                                            @objAdm.RollNo
                                        </td>
                                        <td>
                                            @item.EntryType
                                            <br />
                                            @{
                                    string testpe = "";
                                    if (item.TestType == "Any")
                                    {
                                        testpe = "-";
                                    }
                                    else
                                    {
                                        testpe = item.TestType;

                                    }
                                            }
                                            @testpe
                                        </td>
                                        <td>
                                            @objAdm.FirstName @objAdm.LastName
                                        </td>
                                        <td>
                                            @{string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);}
                                            @follwupdate
                                        </td>
                                        <td>
                                            @item.remarks
                                        </td>
                                        <td>
                                            @objAdm.Mobile
                                        </td>
                                        <td>
                                            N/A
                                        </td>
                                        <td>
                                            @item.Counselor
                                        </td>
                                        <td>
                                            @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, reftype = "VisaIELTS", name = item.SName, rollno = objAdm.RollNo }, new { @class = "editAcBtn" }, null)
                                            @Html.ActionLink("AddVisaFeeDetail", "Create", new { id = objAdm.Id, enqtype = item.EntryType, stype = item.TestType, reftype = "VisaIELTS", name = item.SName, testtype = item.TestType })
                                        </td>
                                    </tr>
                                }


                                //start here is visa prospective start here(29-08-2013)

                                if (item.TestType == "Any")
                                {
                                    if (item.EntryType == "Enquiry")
                                    {
                                        MaEnquiry objAdm = db.MaEnquiries.Where(z => z.Id == item.StudentId).First();
                                        if (i % 2 == 0)
                                        {
                                            bgcolor = "evenrow";
                                        }
                                        else
                                        {
                                            bgcolor = "oddrow";
                                        }
                                        i++;
                                        <tr class="@bgcolor">
                                            <td>
                                                @objAdm.Id
                                            </td>
                                            <td>
                                                @item.EntryType
                                                <br />
                                                @{
                                        string testpe = "";
                                        if (item.TestType == "Any")
                                        {
                                            testpe = "-";
                                        }
                                        else
                                        {
                                            testpe = item.TestType;

                                        }
                                                }
                                                @testpe
                                            </td>
                                            <td>
                                                @objAdm.FirstName @objAdm.LastName
                                            </td>
                                            <td>
                                                @{string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);}
                                                @follwupdate
                                            </td>
                                            <td>
                                                @item.remarks
                                            </td>
                                            <td>
                                                @objAdm.Mobile
                                            </td>
                                            <td>
                                                @{
                                                double? overall = 0;
                                                int count = db.Tb_IELTSResult.Where(z => z.Id == item.MockIELTSid).Select(z => z.Overall).Count();
                                                if (count > 0)
                                                {
                                                    overall = db.Tb_IELTSResult.Where(z => z.Id == item.MockIELTSid).Select(z => z.Overall).First();
                                                }
                                                else
                                                {
                                                    if (item.EnqryOvlscr > 0)
                                                    {
                                                        overall = item.EnqryOvlscr;
                                                    }
                                                }

                                                }
                                                @overall
                                            </td>
                                            <td>
                                                @{
                                        if (item.MockIELTSid > 0)
                                        {

                                            @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, reftype = "VisaIELTS", name = item.SName, rollno = objAdm.Id }, new { @class = "editAcBtn" }, null)

                                                    @Html.ActionLink("AddVisaFeeDetail", "Create", new { id = objAdm.Id, enqtype = item.EntryType, stype = item.TestType, reftype = "VisaIELTS", name = item.SName, testtype = item.TestType })
                                        }
                                        else
                                        {

                                            @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.StudentId, reftype = "VisaEnquiry", name = item.SName, rollno = objAdm.Id }, new { @class = "editAcBtn" }, null)

                                                    @Html.ActionLink("AddVisaFeeDetail", "Create", new { id = objAdm.Id, enqtype = item.EntryType, stype = item.TestType, reftype = "VisaEnquiry", name = item.SName, testtype = item.TestType })
                                        }

                                                }
                                            </td>
                                        </tr>

                                    }
                                }

                            }
                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <table width="100%" align="center">
        <tr>
            <td align="left" width="50%">
                @Html.Partial("_Pager")
            </td>
        </tr>
    </table>
    <div id="editDialog" title="Add Visa Follow Up" style="width: 556px">
    </div>
}